# List NoteData by Source

List of Notes based on a specific source
Expectations of Category compared to what is in the source values
AUTH
@SourceColumn1 = auth_number
CALL
@SourceColumn1 = call_key
CASE
@SourceColumn1 = case_key
CLAIM
@SourceColumn1 = batch_number
@SourceColumn2 = batch_claim
CLMBTCH ** NO REFS **
@SourceColumn1 = batch_number
COMMAGEN ** NO REFS **
@SourceColumn1 = commissionagency_key
COMMREP ** NO REFS **
@SourceColumn1 = commissionrep_key
CORTRACK ** NO REFS **
@SourceColumn1 = reporttrack_key
FEESCHED ** NO REFS **
@SourceColumn1 = fee_sched
GRIEV
@SourceColumn1 = grievance_key
GROUP
@SourceColumn1 = group_id
GROUPDIV
@SourceColumn1 = group_id
@SourceColumn2 = division_id
GRPCLASS
@SourceColumn1 = group_id
GWREQ ** NO REFS **
@SourceColumn1 = request_key
INTRFACE ** NO REFS **
@SourceColumn1 = vbainterface_key
INVHDR ** NO REFS **
@SourceColumn1 = invoice_key
MEMBER
@SourceColumn1 = subscriber_id
@SourceColumn2 = member_seq
NETWORK ** NO REFS **
@SourceColumn1 = network_id
NOTE ** NO REFS **
@SourceColumn1 = note_key
PAYEE ** NO REFS **
@SourceColumn1 = payee_id
PAYOR ** NO REFS **
@SourceColumn1 = payor_id
PBENMAX
@SourceColumn1 = plan_id
@SourceColumn2 = benefit_code
@SourceColumn3 = max_id
PLAN ** NO REFS **
@SourceColumn1 = plan_id
PLANLVL ** NO REFS **
@SourceColumn1 = planbenefitlevel_key
PROV ** NO REFS **
@SourceColumn1 = provider_id
PROVCRED
@SourceColumn1 = providercred_key
REINS
@SourceColumn1 = reinscontract_key
REINSTRN
@SourceColumn1 = reinscontracttrans_key
SUB
@SourceColumn1 = subscriber_id

Endpoint: GET /note-data
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Query parameters:

  - `noteCategory` (string, required)
    Note_Category

  - `columnName1` (string, required)
    Column_Name1

  - `keyValue1` (string, required)
    Key_Value1

  - `columnName2` (string)
    Column_Name2

  - `keyValue2` (string)
    Key_Value2

  - `columnName3` (string)
    Column_Name3

  - `keyValue3` (string)
    Key_Value3

  - `columnName4` (string)
    Column_Name4

  - `keyValue4` (string)
    Key_Value4

  - `columnName5` (string)
    Column_Name5

  - `keyValue5` (string)
    Key_Value5

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (array)

  - `data.note_Key` (integer, required)
    Key value used to identify a specific note

  - `data.effective_Date` (string)
    Date the information in the note goes into effect

  - `data.entry_Date` (string)
    Date record was first added to the system

  - `data.entry_User` (string)
    User that first added the record to the system

  - `data.note_Alert` (boolean, required)
    Flag identifying if there is an alert associated with the note

  - `data.note_Alert_End` (string)
    Date the alert associated with a note terminates

  - `data.note_Category` (string)
    Identifies the 'Category' of note. Note 'Category' are configured within 'Note Configuration'.

  - `data.note_Data` (string)
    Text data of the note.

  - `data.note_Priority` (string)
    Identifies the 'Priority' of note. Note 'Priority' are configured within 'Note Configuration'.

  - `data.note_Subject` (string)
    Description of the note's subject.

  - `data.note_Type` (string)
    Identifies the 'Type' of note. Note 'Types' are configured within 'Note Configuration'.

  - `data.term_Date` (string)
    Date the information in the note terminates

  - `data.update_Date` (string)
    Date the record was last updated in the system

  - `data.update_User` (string)
    User that last updated the record in the system

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

